cURL
curl "https://api.phrase.com/v2/projects/:id" \
-u USERNAME_OR_ACCESS_TOKENphrase projects show \
--id <id> \
--access_token <token>import requests
url = "https://api.phrase.com/v2/projects/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.phrase.com/v2/projects/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "abcd1234cdef1234abcd1234cdef1234",
"name": "My Android Project",
"slug": "my-android-project",
"main_format": "xml",
"project_image_url": "http://assets.example.com/project.png",
"account": "account",
"space": "space",
"created_at": "2015-01-28T09:52:53Z",
"updated_at": "2015-01-28T09:52:53Z",
"shares_translation_memory": true,
"machine_translation_enabled": true,
"zero_plural_form_enabled": true,
"enable_all_data_type_translation_keys_for_translators": false,
"enable_icu_message_format": false,
"enable_branching": false,
"protect_master_branch": false,
"autotranslate_enabled": false,
"autotranslate_check_new_translation_keys": false,
"autotranslate_check_new_uploads": false,
"autotranslate_check_new_locales": false,
"autotranslate_mark_as_unverified": false,
"autotranslate_use_machine_translation": false,
"autotranslate_use_translation_memory": true,
"autotranslate_overwrite_unverified_translations": false,
"fallback_for_unverified_translations": false,
"autocomplete_job_enabled": false,
"default_encoding": "UTF-8",
"cldr_version": "legacy",
"job_locking_enabled": false,
"placeholder_styles": [
"rails_i18n",
"java_properties"
]
}Projects
Get a single project
Get details on a single project.
GET
/
projects
/
{id}
cURL
curl "https://api.phrase.com/v2/projects/:id" \
-u USERNAME_OR_ACCESS_TOKENphrase projects show \
--id <id> \
--access_token <token>import requests
url = "https://api.phrase.com/v2/projects/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.phrase.com/v2/projects/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "abcd1234cdef1234abcd1234cdef1234",
"name": "My Android Project",
"slug": "my-android-project",
"main_format": "xml",
"project_image_url": "http://assets.example.com/project.png",
"account": "account",
"space": "space",
"created_at": "2015-01-28T09:52:53Z",
"updated_at": "2015-01-28T09:52:53Z",
"shares_translation_memory": true,
"machine_translation_enabled": true,
"zero_plural_form_enabled": true,
"enable_all_data_type_translation_keys_for_translators": false,
"enable_icu_message_format": false,
"enable_branching": false,
"protect_master_branch": false,
"autotranslate_enabled": false,
"autotranslate_check_new_translation_keys": false,
"autotranslate_check_new_uploads": false,
"autotranslate_check_new_locales": false,
"autotranslate_mark_as_unverified": false,
"autotranslate_use_machine_translation": false,
"autotranslate_use_translation_memory": true,
"autotranslate_overwrite_unverified_translations": false,
"fallback_for_unverified_translations": false,
"autocomplete_job_enabled": false,
"default_encoding": "UTF-8",
"cldr_version": "legacy",
"job_locking_enabled": false,
"placeholder_styles": [
"rails_i18n",
"java_properties"
]
}Authorizations
TokenBasic
Enter your token in the format token TOKEN
Headers
Two-Factor-Authentication token (optional)
Path Parameters
ID
Response
OK
Show child attributes
Show child attributes
Example:
{
"id": "abcd1234",
"name": "Company Account",
"slug": "company_account",
"company": "My Awesome Company",
"created_at": "2015-01-28T09:52:53Z",
"updated_at": "2015-01-28T09:52:53Z",
"company_logo_url": "http://assets.example.com/company_logo.png"
}
Show child attributes
Show child attributes
Example:
{
"id": "2e7574e8f2372906a03110c2a7cfe671",
"name": "My first space",
"created_at": "2020-02-25T12:17:25Z",
"updated_at": "2020-03-13T14:46:57Z",
"projects_count": 2
}
Show child attributes
Show child attributes
Example:
{
"id": "abcd1234cdef1234abcd1234cdef1234",
"username": "johndoe",
"name": "John Doe",
"gravatar_uid": "205e460b479e2e5b48aec07710c08d50"
}
Example:
true
Example:
true
Example:
false
Example:
false
Example:
false
Example:
false
Example:
false
Example:
false
Example:
false
Example:
false
Example:
false
Example:
false
Example:
true
Example:
false
Example:
false
Example:
false
Example:
"UTF-8"
Example:
"legacy"
Example:
false
Placeholder style supported for detecting and highlighting variable placeholders in translation keys. This list may grow over time as new styles are added.
Example:
["rails_i18n", "java_properties"]
Show child attributes
Show child attributes
Example:
{
"name": "new-branch",
"created_at": "2015-01-28T09:52:53Z",
"updated_at": "2015-01-28T09:52:53Z",
"merged_at": "2015-01-28T09:52:53Z",
"merged_by": {
"id": "abcd1234cdef1234abcd1234cdef1234",
"username": "joe.doe",
"name": "Joe Doe"
},
"created_by": {
"id": "abcd1234cdef1234abcd1234cdef1234",
"username": "joe.doe",
"name": "Joe Doe"
},
"state": "success",
"child_branches": ["feature_2", "feature_3"]
}
Was this page helpful?